## org.apache.lucene.search.vectorhighlight
Class FieldFragList.WeightedFragInfo

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo

Enclosing class:
  FieldFragList

    public static class FieldFragList.WeightedFragInfo

extends java.lang.Object

Constructor Summary
`FieldFragList.WeightedFragInfo(int startOffset, int endOffset, java.util.List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldFragList.WeightedFragInfo

    public FieldFragList.WeightedFragInfo(int startOffset,
                                          int endOffset,
                                          java.util.List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.